Subject: [bug#60153] Fwd: [PATCH] gnu: python-pygame: Update to 2.1.2.

From: Adam Faiz <[email-masked]>
Date: Sun, 18 Dec 2022 22:15:02 +0800

On 12/17/22 18:52, Liliana Marie Prikler wrote:
> Am Samstag, dem 17.12.2022 um 18:06 +0800 schrieb Adam Faiz:
>> * gnu/packages/game-development.scm (python-pygame): Update to 2.1.2.
> Since this is a major bump, did you check whether dependant packages
> still build?
The dependent packages build without issue. I built the packages listed 
in `./pre-inst-env guix refresh -l python-pygame`.

>> [inputs]: Use the new style.
> I'd split the style adjustments into a separate commit.  Also note,
> that #:phases needs similar treatment w.r.t. using the newer API.
Alright, I'll do the style adjustments in a separate patch. Most of what 
was in the #:phases that would have used the newer API is now 
unnecessary, so I've removed it.

>> [description]: Re-indent.
> IMHO that one's noise generated by guix style.
I don't think it hurts to change it.

>> +              ;; Fix the configure script to allow passing the
>> dependencies as
>> +              ;; environment variables.
>> +              (snippet
>> +               #~(begin
>> +                   (substitute* "buildconfig/config_unix.py"
>> +                     (("localbase.d") "d")
>> +                     (("origincdirs = .*/include.*")
>> +                      "origincdirs =
>> os.environ['ORIGINCDIRS'].split(\":\")\n"))))))
> Can't we make it so that the normal GCC search paths suffice?
The normal GCC search paths do work, so I've changed it to use those 
instead. I'll send the revised patches soon.

> Also note the value of fill-column at 80 (or 79?).
Is it a problem with how Icedove wraps the email? If so, I'm not sure 
how to change it.

> Cheers